/********************************************************************/
/* Copyright (c) 2019 System fugen G.K. and Yuzi Mizuno          */
/* All rights reserved.                                             */
/********************************************************************/
/********************************************************************/
#if !defined(AFX_GLPROMPTBAR_H__915C69EC_80C2_41DC_8525_200DC37F4C2F__INCLUDED_)
#define AFX_GLPROMPTBAR_H__915C69EC_80C2_41DC_8525_200DC37F4C2F__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CGLPromptBar ウィンドウ

// nResourceID : IDD_PROMPT_BAR
class CGLPromptBar : public CDialogBar{
public:
	CGLPromptBar();

	void ClearEdit();
	CEdit* GetEdit();

// オーバーライド
	// ClassWizard は仮想関数のオーバーライドを生成します。

	//{{AFX_VIRTUAL(CGLPromptBar)
public:
	virtual BOOL PreTranslateMessage(MSG* pMsg);
	//}}AFX_VIRTUAL

	// 生成されたメッセージ マップ関数
protected:
	//{{AFX_MSG(CGLPromptBar)
	afx_msg void OnWindowPosChanged(WINDOWPOS FAR* lpwndpos);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

private:
	bool ParseLine();
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ は前行の直前に追加の宣言を挿入します。

#endif // !defined(AFX_GLPROMPTBAR_H__915C69EC_80C2_41DC_8525_200DC37F4C2F__INCLUDED_)
